Download it now!
Bug 82114 - FILEOPEN: RTF - Second page header has extra data
Summary: FILEOPEN: RTF - Second page header has extra data
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.4.0
Keywords: filter:rtf, regression
Depends on:
Blocks: RTF-Header-Footer
  Show dependency treegraph
 
Reported: 2014-08-04 03:10 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-31 06:21 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Word 2013 VS 4.4 (40.57 KB, image/png)
2014-08-04 03:10 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-04 03:10:49 UTC
Created attachment 103971 [details]
Word 2013 VS 4.4

Steps:
1) Unzip attachment 103764 [details]
2) Open RTF file in it
3) Scroll down to page 2
4) The header has 'RU.88338853.501900.01 81' in it under the number page number field 2 instead of '2343443 2'.

Tested in 3.5.7, 4.1.6, 4.2.7, 4.3.1 and master. Regression as this worked correctly in 3.3.0 (old RTF importer). In master, it outputs the incorrect header, but also the correct header text into the page body.
Comment 1 Marina Latini (CIB) 2014-08-04 08:23:22 UTC
Confirmed on Ubuntu 14.04 x86_64:
* Version: 4.4.0.0.alpha0+
* Build ID: 8cb75e905cef50a2d8a423443d3dcef5f1899027
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-07-30_04:47:13

status -> new
block -> bug 81234 (meta bug for rtf filter)
Comment 2 Commit Notification 2014-09-11 13:02:42 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04fe5e6a31c9701177a744bbc8a53b2f664fe71c

fdo#82114 RTF import: fix handling of first page in non-first section



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Miklos Vajna 2014-09-11 13:06:37 UTC
This was an issue for the DOCX import as well, the above commit fixes both.
Comment 4 Robinson Tryon (qubit) 2015-12-17 12:49:57 UTC Comment hidden (obsolete)